Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
PREV NEXT | FRAMES NO FRAMES

## Package org.gradle.api.reporting

Classes for reporting.

Interface Summary
Report | A file based report to be created.
ReportContainer | A container of potential reports.
Reporting | An object that provides reporting options
SingleFileReport | A report that is a single file.

Class Summary
ReportingExtension | Adds base configuration for reporting tasks.

Enum Summary
Report.OutputType | The type of output the report produces

Exception Summary
ReportContainer.ImmutableViolationException | The exception thrown when any of this container's mutation methods are called.

Gradle API 1.1-rc-1